Package com.io7m.waxmill.machines

# Enum WXMDeviceType.Kind

java.lang.Object
java.lang.Enum<WXMDeviceType.Kind>
com.io7m.waxmill.machines.WXMDeviceType.Kind

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMDeviceType.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  WXMDeviceType

    public static enum WXMDeviceType.Kind
    extends java.lang.Enum<WXMDeviceType.Kind>

The device kind

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `WXM_AHCI_CD` | An AHCI optical disk device.
  `WXM_AHCI_HD` | An AHCI disk device.
  `WXM_E1000` | An emulation of an Intel e82545 network device.
  `WXM_FRAMEBUFFER` | A raw framebuffer device attached to a VNC server.
  `WXM_HOSTBRIDGE` | A host bridge.
  `WXM_LPC` | An LPC PCI-ISA bridge with COM1 and COM2 16550 serial ports and a boot ROM.
  `WXM_PASSTHRU` | A PCI passthru device.
  `WXM_VIRTIO_BLOCK` | A virtio block storage device.
  `WXM_VIRTIO_NETWORK` | A virtio network device.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMDeviceType.Kind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMDeviceType.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WXM_HOSTBRIDGE

    public static final WXMDeviceType.Kind WXM_HOSTBRIDGE
    A host bridge.

  - ### WXM_VIRTIO_NETWORK

    public static final WXMDeviceType.Kind WXM_VIRTIO_NETWORK
    A virtio network device.

  - ### WXM_VIRTIO_BLOCK

    public static final WXMDeviceType.Kind WXM_VIRTIO_BLOCK
    A virtio block storage device.

  - ### WXM_AHCI_HD

    public static final WXMDeviceType.Kind WXM_AHCI_HD
    An AHCI disk device.

  - ### WXM_AHCI_CD

    public static final WXMDeviceType.Kind WXM_AHCI_CD
    An AHCI optical disk device.

  - ### WXM_LPC

    public static final WXMDeviceType.Kind WXM_LPC
    An LPC PCI-ISA bridge with COM1 and COM2 16550 serial ports and a boot ROM.

  - ### WXM_PASSTHRU

    public static final WXMDeviceType.Kind WXM_PASSTHRU
    A PCI passthru device.

  - ### WXM_E1000

    public static final WXMDeviceType.Kind WXM_E1000
    An emulation of an Intel e82545 network device.

  - ### WXM_FRAMEBUFFER

    public static final WXMDeviceType.Kind WXM_FRAMEBUFFER
    A raw framebuffer device attached to a VNC server.

- ## Method Details

  - ### values

    public static WXMDeviceType.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMDeviceType.Kind valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null